package org.devsin.flutter_wortise;

import android.content.Context;

import androidx.appcompat.app.AppCompatActivity;

import com.wortise.ads.AdSize;
import com.wortise.ads.banner.BannerAd;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformViewFactory;

public class FlutterBanner extends PlatformViewFactory {

    private final BinaryMessenger messenger;
    public FlutterBanner(BinaryMessenger messenger) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
    }

    @Override
    public PlatformView create(Context context, int viewId, Object args) {
        return new FlutterBannerView(context, messenger, viewId);
    }
}
