package org.devsin.flutter_wortise;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** FlutterWortisePlugin */
public class FlutterWortisePlugin implements MethodCallHandler {
  private static Registrar mRegistrar;
  static WortisePlugin wortisePlugin;

  public FlutterWortisePlugin(){
    wortisePlugin = new WortisePlugin();
  }

  public static void registerWith(Registrar registrar) {
    mRegistrar = registrar;
    registrar.platformViewRegistry().registerViewFactory("ord.desvin.flutter_wortise/bannerad", new FlutterBanner(registrar.messenger()));
    WortisePlugin.registerWith(mRegistrar);
  }

  @Override
  public void onMethodCall(@NonNull MethodCall call, @NonNull Result result) {
    wortisePlugin.onMethodCall(call, result);
  }
}
